aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCole Robinson <crobinso@redhat.com>2009-11-02 13:37:38 -0500
committerCole Robinson <crobinso@redhat.com>2009-11-06 10:12:32 -0500
commite02f691a9089f2a6ffb53797f968cd3a6d6d3514 (patch)
treee8a5f5b34ab50dd7a8fff3790dad935f1edd6098 /tests/read-bufsiz
parentCleanup whitespace in docs (diff)
downloadlibvirt-e02f691a9089f2a6ffb53797f968cd3a6d6d3514.tar.gz
libvirt-e02f691a9089f2a6ffb53797f968cd3a6d6d3514.tar.bz2
libvirt-e02f691a9089f2a6ffb53797f968cd3a6d6d3514.zip
qemu: Break out function to check if we can create/define/restore
Use this function in the qemu, uml, lxc, and test drivers.
Diffstat (limited to 'tests/read-bufsiz')
-rwxr-xr-xtests/read-bufsiz5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/read-bufsiz b/tests/read-bufsiz
index 5baa7c590..f4f8f19c8 100755
--- a/tests/read-bufsiz
+++ b/tests/read-bufsiz
@@ -32,6 +32,9 @@ fail=0
# Output a valid definition, to be used as input.
$abs_top_builddir/tools/virsh -c test:///default dumpxml 1 > xml || fail=1
+# Change the VM name
+sed -i -e "s|<name>test</name>|<name>newtest</name>|g" xml
+
for i in before after; do
# The largest BUFSIZ I've seen is 128K. This is slightly larger.
printf %132000s ' ' > sp || fail=1
@@ -40,7 +43,7 @@ for i in before after; do
( test $i = before && cat sp xml || cat xml sp ) > $in || fail=1
$abs_top_builddir/tools/virsh --connect test:///default define $in > out || fail=1
- printf "Domain test defined from $in\n\n" > exp || fail=1
+ printf "Domain newtest defined from $in\n\n" > exp || fail=1
compare exp out || fail=1
done